artifacts:
    discolytics-0.28.0.conda.tgz:
        id: https://gitlab.wikimedia.org/api/v4/projects/1071/packages/generic/discolytics/0.28.0-v0.28.0/discolytics-0.28.0-v0.28.0.conda.tgz
    elasticsearch-spark-30_2.12-7.17.9.jar:
        id: org.elasticsearch:elasticsearch-spark-30_2.12:jar:7.17.9
        source: wmf_archiva_central
    mjolnir-2.4.0.conda.tgz:
        id: https://gitlab.wikimedia.org/repos/search-platform/mjolnir/-/package_files/1477/download
    mjolnir-2.0.jar:
        id: org.wikimedia.search:mjolnir:jar:2.0
        source: wmf_archiva_releases
    sramirez-spark-MDLP-discretization-1.5.0.jar:
        id: org.wikimedia.search:sramirez-spark-MDLP-discretization:jar:1.5.0
        source: wmf_archiva_releases
    sramirez-spark-infotheoretic-feature-selection-1.5.0.jar:
        id: org.wikimedia.search:sramirez-spark-infotheoretic-feature-selection:jar:1.5.0
        source: wmf_archiva_releases
    rdf-spark-tools-0.3.146-jar-with-dependencies.jar:
        id: org.wikidata.query.rdf:rdf-spark-tools:jar:jar-with-dependencies:0.3.146
        source: wmf_archiva_releases
    glent-0.3.5-jar-with-dependencies.jar:
        id: org.wikimedia.search:glent:jar:jar-with-dependencies:0.3.5
        source: wmf_gitlab_packages
    mysql-connector-java-8.0.19.jar:
        id: mysql:mysql-connector-java:jar:8.0.19
        source: wmf_archiva_central
    # Supports SparkSqlOperator to work correctly with https URLs that include url-encoded bits,
    # such as the raw URLs generated by GitLab.
    # See https://phabricator.wikimedia.org/T333001
    wmf-sparksqlclidriver-1.0.0.jar:
      id: org.wikimedia.spark:wmf-sparksqlclidriver:jar:1.0.0
      source: wmf_archiva_releases

    refinery-hive-0.2.55-shaded.jar:
        id: org.wikimedia.analytics.refinery.hive:refinery-hive:jar:shaded:0.2.55
        source: wmf_archiva_releases

artifact_caches:
  hdfs_search:
    class_name: workflow_utils.artifact.FsArtifactCache
    base_uri: hdfs:///wmf/cache/artifacts/airflow/search

default_artifact_caches: [hdfs_search]
